## openjdk-lts 11.0.11+9

=== debian/changelog ===
openjdk-lts (11.0.11+9-0ubuntu2~20.10) groovy-security; urgency=medium

  * Backport the security update to 20.10.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 11:15:32 +0200

openjdk-lts (11.0.11+9-0ubuntu2) hirsute; urgency=medium

  * OpenJDK 11.0.11+9 build (release).
  * Security fixes:
    - JDK-8244473: Contextualize registration for JNDI.
    - JDK-8244543: Enhanced handling of abstract classes.
    - JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - JDK-8253799: Make lists of normal filenames.
    - JDK-8249906: Enhance opening JARs (CVE-2021-2163).
    - JDK-8257001: Improve HTTP client support.
  * Mark the build as an upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 10:55:38 +0200
