=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
   is_default = yes
 endif
 
-#is_upstream_release = yes
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
