## openjdk-lts 11.0.12+7

=== debian/changelog ===
openjdk-lts (11.0.12+7-0ubuntu3) impish; urgency=medium

  * Work around ftbfs in StackGuardPages test with glibc 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 14:38:05 +0200

openjdk-lts (11.0.12+7-0ubuntu2) impish; urgency=high

  * OpenJDK 11.0.12+7 build (release).
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.
  * Sync packages with 11.0.12+7-2:
    - Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jul 2021 15:36:30 +0200

openjdk-lts (11.0.12+6-0ubuntu1) impish; urgency=medium

  * OpenJDK 11.0.12+6 build (early access).

  * Sync packages with 11.0.12+6-1:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 12:45:19 +0200

openjdk-lts (11.0.12+4-0ubuntu2) impish; urgency=medium

  * OpenJDK 11.0.12+4 build (early access).

  * Sync packages with 11.0.11+9-1:
  * Don't apply the m68k-support patch, needs an update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 12:41:33 +0200
