## openjdk-lts 11.0.14.1%2B1

=== debian/watch ===
version=4
opts="" \
https://github.com/openjdk/jdk11u/tags \
.*/jdk-([0-9.]*\+[0-9]*).tar.gz
