## openjdk-lts 11.0.16+8

=== debian/changelog ===
openjdk-lts (11.0.16+8-0ubuntu1) kinetic; urgency=high

  * OpenJDK 11.0.16+8 build (release).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2022 13:27:22 +0200
