## openjdk-lts 11.0.17+8

=== debian/changelog ===
openjdk-lts (11.0.17+8-1ubuntu2~20.04) focal-security; urgency=medium

  * Build 11.0.17+8 for Ubuntu 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Oct 2022 11:30:51 +0200

openjdk-lts (11.0.17+8-1ubuntu2) kinetic-security; urgency=medium

  * OpenJDK 11.0.17 release, build 8.
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Sync packages with 11.0.13+8-1:
    - Build using GCC 12 in recent development distros.
    - Don't install the security/blacklisted.certs symlink anymore.
      Closes: #1021866.
    - Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Oct 2022 17:39:49 +0200
