=== debian/rules ===
--- 
+++ 
@@ -97,17 +97,22 @@
 endif
 jvmver		= 1.11.0
 shortver	= 11
-v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-]\+$$//')
-v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
-# sanitize it as --with-version-opt only allows '[a-z][A-Z][0-9].-'
-v_pkgrelsan	:= $(shell echo $(v_pkgrel) | tr -c '[a-z][A-Z][0-9].\n-' '.')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//')
+v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
+v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
+# FIXME. currently v_upstream like 11~4
 v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
 v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
-
+#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
+#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
 # that should be the package version ...
-ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
-  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
-endif
+
+ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+endif
+#ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
+#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+#endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -146,13 +151,21 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
+ifneq (,$(filter $(distrel), focal jammy kinetic))
+  jtreg_pkg = jtreg6
+else ifneq (,$(filter $(distrel), sid bookworm bullseye))
+  jtreg_pkg = jtreg
+else
+  jtreg_pkg =
+endif
+
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial))
+ifneq (,$(filter $(distrel), precise trusty xenial bionic))
   with_check = disabled for $(distrel)
 endif
 
@@ -160,6 +173,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
+# with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
@@ -176,15 +190,14 @@
 any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 
 altzero_archs = $(hotspot_archs)
-#ifneq (,$(filter $(distrel),trusty))
-#  altzero_archs := $(filter-out arm64, $(altzero_archs))
-#endif
+ifneq (,$(filter $(distrel),trusty))
+  altzero_archs := $(filter-out arm64, $(altzero_archs))
+endif
+# ftbfs in 11.0.5+bx, and 13+17
+altzero_archs := $(filter-out armhf, $(altzero_archs))
 
 # FIXME: Zero currently FTBFS on sparc64 with gcc-9
 altzero_archs := $(filter-out sparc64, $(altzero_archs))
-
-# ftbfs in 11.0.5+bx, and 13+17
-altzero_archs := $(filter-out armhf, $(altzero_archs))
 
 ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
   altzero_archs =
@@ -221,8 +234,3 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
-dpkg_buildflags_hs += dpkg-buildflags
-export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations
