=== debian/tests/control ===
Test-Command: java --version
Depends: openjdk-11-jre-headless
Restrictions: superficial

Test-Command: javac --version
Depends: openjdk-11-jdk-headless
Restrictions: superficial

Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg6:native (>= 6+1-0~), testng:native, build-essential
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg6:native (>= 6+1-0~), testng:native, build-essential, xfwm4:native, xvfb, dbus-x11, zip
Restrictions: allow-stderr, skippable, flaky
