## openjdk-lts 11.0.18+10

=== debian/changelog ===
openjdk-lts (11.0.18+10-0ubuntu5) lunar; urgency=medium

  * d/control: add jtreg6 dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).
  * drop d/p/{jaw-classpath.diff, jaw-optional.diff}: the atk wrapper is disabled
    and these patches cause class data sharing tests to fail (LP: #2016194).
  * d/p/exclude-broken-tests.patch: add OpenJDK 11 failures.
  * d/t/jtreg-autopkgtest.in: pass JTREG home to locate junit.jar, regenerate
    d/t/jtreg-autopkgtest.sh (LP: #2016206).
  * d/t/control.in: disable jtreg autopkgtests in line with openjdk 17,
    regenerate control (LP: #2016438).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 14 Apr 2023 11:29:59 +1200

openjdk-lts (11.0.18+10-0ubuntu4) lunar; urgency=medium

  * d/p: drop obsolete patches (LP: #2011653).
    - workaround_expand_exec_shield_cs_limit.diff: obsoleted by
      hotspot-disable-exec-shield-workaround.diff.
    - generated-headers.patch: include is already added by openjdk makefile.
    - parallel-build-fix.diff: include is not necessary.
  * d/copyright, d/watch: implement uscan repackaging (LP: #2011749).
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 16 Mar 2023 08:39:50 +1300

openjdk-lts (11.0.18+10-0ubuntu3) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 16:55:33 +1300

openjdk-lts (11.0.18+10-0ubuntu2) lunar; urgency=medium

  * No-change rebuild, building on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Feb 2023 11:21:50 +0100

openjdk-lts (11.0.18+10-0ubuntu1) lunar; urgency=medium

  * OpenJDK 11.0.18 release, build 10.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/11-0-18-relnotes.html
  * debian/patches/*: Refreshed patches for the new release and dropped unused
    patches.
  * debian/watch: use jdk11u repository as upstream.
  * debian/rules: add lunar to jtreg version selection.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Jan 2023 21:24:22 +1300 
