=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 endif
 jvmver		= 1.11.0
 shortver	= 11
-v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
 v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
 v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
 # FIXME. currently v_upstream like 11~4
@@ -151,7 +151,7 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-ifneq (,$(filter $(distrel), focal jammy kinetic))
+ifneq (,$(filter $(distrel), focal jammy kinetic lunar))
   jtreg_pkg = jtreg6
 else ifneq (,$(filter $(distrel), sid bookworm bullseye))
   jtreg_pkg = jtreg
@@ -165,7 +165,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic))
+ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif
 
@@ -233,4 +233,3 @@
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
