## openjdk-lts 11.0.19+7~us1

=== debian/changelog ===
openjdk-lts (11.0.19+7~us1-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * Upload to Ubuntu 22.10.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 10 May 2023 09:03:48 +1200

openjdk-lts (11.0.19+7~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 11.0.19 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-April/021900.html
    - d/p/*: refresh patches.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
  * d/rules: always use jtreg6.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Apr 2023 14:25:28 +1200
